Bug 1689442 - Rename cluster operator object name to "cloud-credential" from "openshift-cloud-credential-operator"
Summary: Rename cluster operator object name to "cloud-credential" from "openshift-clo...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Cloud Compute
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.1.0
Assignee: Devan Goodwin
QA Contact: Jianwei Hou
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-15 22:51 UTC by Clayton Coleman
Modified: 2019-06-04 10:46 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-04 10:45:52 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:0758 None None None 2019-06-04 10:45:59 UTC

Description Clayton Coleman 2019-03-15 22:51:04 UTC
Names of cluster operators should not contain redundant info (openshift- and -operator).

Comment 1 Clayton Coleman 2019-03-15 22:52:59 UTC
Update for beta3 because this will be part of api.

Comment 2 Clayton Coleman 2019-03-15 22:54:12 UTC
You *might* consider `cloud-credentials` but only if you can justify it being clearer to end administrators.

Comment 3 Devan Goodwin 2019-03-26 11:18:00 UTC
Fixed in https://github.com/openshift/cloud-credential-operator/pull/47

Went with singular cloud-credential, as this appears most consistent with all other cluster operators, which appear to be more named for the sub-system they manage rather than whether or not they operator on one or more operands.

Comment 4 Jianwei Hou 2019-03-27 08:24:22 UTC
Verified in 4.0.0-0.nightly-2019-03-27-022547

# oc get clusteroperators|grep cloud-credential
cloud-credential                     4.0.0-0.nightly-2019-03-27-022547   True        False         False     4h57m

Comment 6 errata-xmlrpc 2019-06-04 10:45:52 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:0758


Note You need to log in before you can comment on or make changes to this bug.